if not SimpleSelfRebuff then return end
local SimpleSelfRebuff = SimpleSelfRebuff
SimpleSelfRebuff:_rev("$Revision: 50224 $")

SimpleSelfRebuff:RegisterBuffSetup(function(self, BS, class, L)
	if class ~= 'PALADIN' then return end

	-- subcast is used to group blessings
	self:GetCategory(L['Blessing'])
		:add( BS['Blessing of Kings'],		         'subcat', 'kings'     )
		:add( BS['Blessing of Light'],		         'subcat', 'light'     )
		:add( BS['Blessing of Might'],		         'subcat', 'might'     )
		:add( BS['Blessing of Salvation'],		     'subcat', 'salvation' )
		:add( BS['Blessing of Sanctuary'],		     'subcat', 'sanctuary' )
		:add( BS['Blessing of Wisdom'],		         'subcat', 'wisdom'    )
		:add( BS['Greater Blessing of Kings'],     'subcat', 'kings'     )
		:add( BS['Greater Blessing of Light'],     'subcat', 'light'     )
		:add( BS['Greater Blessing of Might'],     'subcat', 'might'     )
		:add( BS['Greater Blessing of Salvation'], 'subcat', 'salvation' )
		:add( BS['Greater Blessing of Sanctuary'], 'subcat', 'sanctuary' )
		:add( BS['Greater Blessing of Wisdom'],    'subcat', 'wisdom'    )
	
	self:GetCategory(L['Aura'])
		:add( BS['Devotion Aura'],          'subcat', 'devotion'      )
		:add( BS['Retribution Aura'],       'subcat', 'retribution'   )
		:add( BS['Sanctity Aura'],          'subcat', 'sanctity'      )
		:add( BS['Fire Resistance Aura'],   'subcat', 'fire_res'      )
		:add( BS['Shadow Resistance Aura'], 'subcat', 'shadow_res'    )
		:add( BS['Frost Resistance Aura'],  'subcat', 'frost_rest'    )
		:add( BS['Concentration Aura'],     'subcat', 'concentration' )
		:add( BS['Crusader Aura'],          'subcat', 'crusader',     'mountFriendly', true )

	self:AddStandaloneBuff( BS['Righteous Fury'] )

	self:GetCategory(self.CATEGORY_TRACKING)
		:add( BS['Sense Undead'], 'mountFriendly', true )	
	
end)
